# PhasicFlow: src/Geometry/geometryMotion/geometryMotions.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

geometryMotions.hpp File Reference
Include dependency graph for geometryMotions.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow

## Typedefs

using | vibratingMotionGeometry = geometryMotion< vibratingMotion >
using | rotationAxisMotionGeometry = geometryMotion< rotatingAxisMotion >
using | stationaryGeometry = geometryMotion< stationaryWall >
using | conveyorBeltMotionGeometry = geometryMotion< conveyorBeltMotion >